#ifndef CLOPPAPERREPORT_H
#define CLOPPAPERREPORT_H

#include <QWidget>
#include "CHttpBll.h"

namespace Ui {
class clopPaperReport;
}

class clopPaperReport : public QWidget
{
    Q_OBJECT
signals:
    void heightChange(int nHeight);
    void objectiveAccuracy(double fAccuracy);
public:
    explicit clopPaperReport(__int64 nExamRecordDataId, bool bFromCache = false, QWidget *parent = nullptr);
    ~clopPaperReport();

    int setUI(const int nWidth);
private slots:
    void onGetPracticeDetailInfo(CGetPracticeDetailInfo getPracticeDetailInfo);
private:
    QString getQuestionName(QString questionType);

    Ui::clopPaperReport *ui;
};

#endif // CLOPPAPERREPORT_H
